%global debug_package %{nil}
%global pypi_name flask-mod-auth-gssapi

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        A Flask extension for mod_auth_gssapi extension of Apache's HTTPd

BuildArch:      noarch

License:        MIT
URL:            https://github.com/fedora-infra/flask-mod-auth-gssapi
Source0:        %{pypi_source}

BuildRequires: python3-devel
BuildRequires: python3-setuptools

Requires: python3-flask
Requires: python3-gssapi

%description
A Flask extension for mod_auth_gssapi extension of Apache's HTTPd.


%package -n python3-%{pypi_name}
Summary:    %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
A Flask extension for mod_auth_gssapi extension of Apache's HTTPd.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%doc config/gssproxy.conf
%doc config/systemd-httpd-service.conf
%doc config/httpd.conf
%doc config/tmpfiles.conf
%{python3_sitelib}/flask_mod_auth_gssapi
%{python3_sitelib}/flask_mod_auth_gssapi*.egg-info

%changelog
* Thu May 12 2022 Stephen Coady <scoady@redhat.com> - 0.2.0-1
- Initial commit
